> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List audience segments

> Retrieve a paginated list of audience segments in your Loops account, including filter rules and contact counts, for use in campaign targeting.

## Request

### Query parameters

<ParamField query="perPage" type="string" default={20}>
  How many results to return in each request. Must be between 10 and 50.
</ParamField>

<ParamField query="cursor" type="string">
  A cursor to return a specific page of results. Cursors can be found from the
  `pagination.nextCursor` value in each response.
</ParamField>

## Response

### Success

<ResponseField name="pagination" type="object">
  <Expandable title="metadata" defaultOpen={false}>
    <ResponseField name="totalResults" type="number">
      Total results found.
    </ResponseField>

    <ResponseField name="returnedResults" type="number">
      The number of results returned in this response.
    </ResponseField>

    <ResponseField name="perPage" type="number">
      The maximum number of results requested.
    </ResponseField>

    <ResponseField name="totalPages" type="number">
      Total number of pages.
    </ResponseField>

    <ResponseField name="nextCursor" type="nullable string">
      The next cursor (for retrieving the next page of results using the `cursor`
      parameter), or `null` if there are no further pages.
    </ResponseField>

    <ResponseField name="nextPage" type="nullable string">
      The URL of the next page of results, or `null` if there are no further
      pages.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="data" type="array" required>
  <Expandable title="audience segment" defaultOpen={true}>
    <ResponseField name="id" type="string" required>
      The audience segment ID.
    </ResponseField>

    <ResponseField name="name" type="string" required>
      The segment name.
    </ResponseField>

    <ResponseField name="description" type="nullable string" required>
      An optional description for the segment.
    </ResponseField>

    <ResponseField name="createdAt" type="string" required>
      ISO 8601 timestamp for when the segment was created.
    </ResponseField>

    <ResponseField name="updatedAt" type="string" required>
      ISO 8601 timestamp for when the segment was last updated.
    </ResponseField>

    <ResponseField name="filter" type="object" required>
      The segment's audience filter. See [Get an audience segment](/api-reference/get-audience-segment) for the filter structure.
    </ResponseField>
  </Expandable>
</ResponseField>

### Error

If `perPage` is invalid, a `400 Bad Request` is returned.

If the API key is invalid (or content API is not enabled for your team), a
`401 Unauthorized` is returned.

<ResponseField name="message" type="string" required>
  An error message describing what went wrong.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "pagination": {
      "totalResults": 1,
      "returnedResults": 1,
      "perPage": 20,
      "totalPages": 1,
      "nextCursor": null,
      "nextPage": null
    },
    "data": [
      {
        "id": "clr4c8t0v008yl70x3y4z5a6b",
        "name": "Active users",
        "description": "Users active in the last 30 days",
        "createdAt": "2026-03-28T15:00:00.000Z",
        "updatedAt": "2026-03-28T15:00:00.000Z",
        "filter": {
          "match": "all",
          "conditions": [
            {
              "type": "property",
              "key": "plan",
              "operator": "equals",
              "value": "pro"
            }
          ]
        }
      }
    ]
  }
  ```

  ```json Error response theme={"dark"}
  {
    "message": "Invalid perPage value"
  }
  ```
</ResponseExample>
